## org.apache.mahout.cf.taste.impl.common.jdbc
Class ResultSetIterator<T>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingIterator<T>
              org.apache.mahout.cf.taste.impl.common.jdbc.ResultSetIterator<T>

All Implemented Interfaces:
  Iterator<T>

    public abstract class ResultSetIterator<T>

extends com.google.common.collect.ForwardingIterator<T>

Constructor Summary
`protected` `ResultSetIterator(DataSource dataSource, String sqlQuery)`

Method Summary
`protected Iterator<T>` `delegate()`
`protected abstract T` `parseElement(ResultSet resultSet)`
`void` `skip(int n)`

Methods inherited from class com.google.common.collect.ForwardingIterator
`hasNext, next, remove`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResultSetIterator

    protected ResultSetIterator(DataSource dataSource,
                                String sqlQuery)
                         throws SQLException

Throws:
  `SQLException`

Method Detail

### delegate

    protected Iterator<T> delegate()

  Overrides:
    `delegate` in class `com.google.common.collect.ForwardingIterator<T>`

### parseElement

    protected abstract T parseElement(ResultSet resultSet)
                               throws SQLException

  Throws:
    `SQLException`

### skip

    public void skip(int n)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.